#![allow(dead_code)]

use serde::Deserialize;

#[derive(Deserialize)]
pub enum Flow {
    Challenge(crate::schema::AuthChallengeType),
    OneOf(Vec<Flow>),
    AllOf(Vec<Flow>)
}

#[derive(Deserialize)]
pub struct AuthConfig {
    pbkdf2_rounds: usize,

    login_flow: Flow,
}

#[derive(Deserialize)]
pub struct GlobalConfig {
    auth: AuthConfig,

}
